-- 資産管理システム（AMS(Asset Management System)）
-- スキーマ＆エンティティ作成
--
-- CREATE : 2007/12/10  Y.OKAMOTO
--

SET NAMES utf8;
DROP DATABASE IF EXISTS `amsdb`;
create database `amsdb` default charset utf8;
grant all privileges on amsdb.* to ams@localhost identified by 'ams';

use `amsdb`;

DROP TABLE IF EXISTS `t_user`;
CREATE TABLE `t_user`(
   `user_id`          VARCHAR(50)
  ,`userpassword`     MEDIUMTEXT
  ,`username`         MEDIUMTEXT
  ,`useradmin`        INTEGER       DEFAULT 0
  ,`create_date`      INTEGER       DEFAULT 0
  ,`create_time`      INTEGER       DEFAULT 0
  ,`update_date`      INTEGER       DEFAULT 0
  ,`update_time`      INTEGER       DEFAULT 0
  ,PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
LOCK TABLES `t_user` WRITE;
INSERT INTO `t_user` (`user_id` ,`userpassword`,`username`,`useradmin`) values ('admin','admin','admin user',9);
UNLOCK TABLES;
--commit;


CREATE TABLE `t_project`(
   `project_id`       VARCHAR(50)
  ,`user_id`          VARCHAR(50)
  ,`projectname`      MEDIUMTEXT
  ,`comment`          MEDIUMTEXT
  ,`toppath`          MEDIUMTEXT
  ,`status`           INTEGER       DEFAULT 0
  ,`membercount`      INTEGER       DEFAULT 0
  ,`create_date`      INTEGER       DEFAULT 0
  ,`create_time`      INTEGER       DEFAULT 0
  ,`createuser_id`    VARCHAR(50)
  ,`update_date`      INTEGER       DEFAULT 0
  ,`update_time`      INTEGER       DEFAULT 0
  ,`updateuser_id`    VARCHAR(50)
  ,PRIMARY KEY (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `t_project_user`(
   `project_id`         VARCHAR(50)
  ,`user_id`            VARCHAR(50)
  ,`is_version`         INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_versiondownload` INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_folder`          INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_folderdownload`  INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_file`            INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_upload`          INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,`is_download`        INTEGER UNSIGNED NOT NULL DEFAULT 0
  ,PRIMARY KEY (`project_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `t_version`(
   `project_id`       VARCHAR(50)
  ,`version_id`       VARCHAR(50)
  ,`user_id`          VARCHAR(50)  
  ,`versionname`      MEDIUMTEXT
  ,`comment`          MEDIUMTEXT
  ,`status`           INTEGER       DEFAULT 0
  ,`create_date`      INTEGER       DEFAULT 0
  ,`create_time`      INTEGER       DEFAULT 0
  ,`createuser_id`    VARCHAR(50)
  ,`update_date`      INTEGER       DEFAULT 0
  ,`update_time`      INTEGER       DEFAULT 0
  ,`updateuser_id`    VARCHAR(50)
  ,PRIMARY KEY (`project_id`,`version_id` )
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `t_folder`(
   `project_id`       VARCHAR(50)
  ,`version_id`       VARCHAR(50)
  ,`folder_id`        VARCHAR(50)
  ,`user_id`          VARCHAR(50)  
  ,`foldername`       MEDIUMTEXT
  ,`comment`          MEDIUMTEXT
  ,`status`           INTEGER       DEFAULT 0
  ,`create_date`      INTEGER       DEFAULT 0
  ,`create_time`      INTEGER       DEFAULT 0
  ,`createuser_id`    VARCHAR(50)
  ,`update_date`      INTEGER       DEFAULT 0
  ,`update_time`      INTEGER       DEFAULT 0
  ,`updateuser_id`    VARCHAR(50)
  ,PRIMARY KEY (`project_id`,`version_id`,`folder_id` )
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `t_file`(
   `project_id`       VARCHAR(50)
  ,`version_id`       VARCHAR(50)
  ,`folder_id`        VARCHAR(50)
  ,`file_id`          VARCHAR(50)
  ,`history`          INTEGER       DEFAULT 0
  ,`filename`         MEDIUMTEXT
  ,`realfile`         MEDIUMTEXT
  ,`savefile`         MEDIUMTEXT
  ,`filesize`         INTEGER
  ,`comment`          MEDIUMTEXT
  ,`user_id`          VARCHAR(50)
  ,`statuscomment`    MEDIUMTEXT
  ,`deleteuser_id`    VARCHAR(50)
  ,`status`           INTEGER       DEFAULT 0
  ,`create_date`      INTEGER       DEFAULT 0
  ,`create_time`      INTEGER       DEFAULT 0
  ,`createuser_id`    VARCHAR(50)
  ,`update_date`      INTEGER       DEFAULT 0
  ,`update_time`      INTEGER       DEFAULT 0
  ,`updateuser_id`    VARCHAR(50)
  ,PRIMARY KEY (`project_id`,`version_id`,`folder_id`,`file_id`,`history`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



